Loading...
Searching...
No Matches
FactorGraph.h File Reference

Factor Graph Base Class. More...

Go to the source code of this file.

## Classes

class | gtsam::CRefCallPushBack< C >
| Helper. More...
class | gtsam::RefCallPushBack< C >
| Helper. More...
class | gtsam::CRefCallAddCopy< C >
| Helper. More...
class | gtsam::FactorGraph< FACTOR >
| A factor graph is a bipartite graph with factor nodes connected to variable nodes. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Detailed Description

Factor Graph Base Class.

Author
  Carlos Nieto
  Christian Potthast
  Michael Kaess
  Richard Roberts